inc("../wpi.js");
inc("../notebook.js");

caseSensitive=false; // Отключить чувствительность к регистру в функции test()
/*
SQL:
SELECT Name, alt_name
FROM notebooks_venders
WHERE alt_name != Name
ORDER BY prioritized DESC 

1. Выгрузить SQL-запрос в Excel
2. Просчитать новый столбец по формуле: =СЦЕПИТЬ("test(ManufactorerAliases('";ПОДСТАВИТЬ(ПОДСТАВИТЬ(A1;"\";"\\");"'";"\'");"'),'";B1;"');")
*/

setTimeout(function (){
	echo('Notebook: '+Manufacturer+' '+Model);
	echo(' ');
	echo('MainBoard: '+MainBoard+' MainBoardName:'+MainBoardName+' MainBoardVer: '+MainBoardVer);
	echo('ManufacturerNout: '+ManufacturerNout+' ModelNout: '+ModelNout);



test(ManufactorerAliases('Acer, inc.'),'Acer');
test(ManufactorerAliases('ASUSTeK Computer Inc.'),'ASUS');
test(ManufactorerAliases('ASUSTEK'),'ASUS');
test(ManufactorerAliases('Hewlett-Packard'),'HP');
test(ManufactorerAliases('Dell Computer Corporation'),'Dell');
test(ManufactorerAliases('Dell Inc.'),'Dell');
test(ManufactorerAliases('MICRO-STAR INT\'L CO.,LTD'),'MSI');
test(ManufactorerAliases('Micro-Star International'),'MSI');
test(ManufactorerAliases('MICRO-STAR INTERNATIONAL CO., LTD'),'MSI');
test(ManufactorerAliases('MICRO-STAR INTERNATIONAL CO.,LTD'),'MSI');
test(ManufactorerAliases('MICRO-STAR INT\'L CO.,LTD.'),'MSI');
test(ManufactorerAliases('SAMSUNG Electronics'),'Samsung');
test(ManufactorerAliases('SAMSUNG ELECTRONICS CO.,LTD'),'Samsung');
test(ManufactorerAliases('SAMSUNG ELECTRONICS CO., LTD.'),'Samsung');
test(ManufactorerAliases('Semp Toshiba'),'Toshiba');
test(ManufactorerAliases('Sony Corporation'),'Sony');
test(ManufactorerAliases('LENOVO.'),'Lenovo');
test(ManufactorerAliases('Intel Corporation'),'Intel');
test(ManufactorerAliases('Packard Bell BV'),'Packard Bell');
test(ManufactorerAliases('INTEL_'),'Intel');
test(ManufactorerAliases('LG Electronics'),'LG');
test(ManufactorerAliases('CLEVO CO.'),'Clevo');
test(ManufactorerAliases('LG Electronics Inc.'),'LG');
test(ManufactorerAliases('Apple Inc.'),'Apple');

test(ManufactorerAliases('NEC Computers International'),'NEC');
test(ManufactorerAliases('Phoenix/SiS'),'SiS');
test(ManufactorerAliases('NEC COMPUTERS SAS'),'NEC');
test(ManufactorerAliases('NEC CI'),'NEC');
test(ManufactorerAliases('MEDIONNB'),'Medion');
test(ManufactorerAliases('Matsushita Electric Industrial Co.,Ltd.'),'Matsushita');
test(ManufactorerAliases('To Be Filled By O.E.M.'),'No name');
test(ManufactorerAliases('OEM'),'K-Systems');
test(ManufactorerAliases('MEDIONPC'),'Medion');
test(ManufactorerAliases('Gigabyte Technology Co., Ltd.'),'Gigabyte');
test(ManufactorerAliases('DEPO Computers'),'DEPO');
test(ManufactorerAliases('SAMSUNG ELECTRONICS\\CO.,LTD"'),'Samsung');
test(ManufactorerAliases('Hewlett-Parkard'),'HP');
test(ManufactorerAliases('HPJAN'),'HP');
test(ManufactorerAliases('ASUS TeK Computer Inc.'),'ASUS');
test(ManufactorerAliases('To Be Filled By O.E.M. bГ® More String'),'No name');
test(ManufactorerAliases('TOSHIBAГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїpa`'),'Toshiba');
test(ManufactorerAliases('MICRO-STAR INTERNATIONAL CO., LTD\\\\'),'MSI');
test(ManufactorerAliases('ASUSTek Server'),'ASUS');
test(ManufactorerAliases('PACKARD_BELL'),'Packard Bell');
test(ManufactorerAliases('Fujitsu/Siemens'),'Fujitsu Siemens');
test(ManufactorerAliases('exTo Be Filled By O.E.M.'),'No name');
test(ManufactorerAliases('ASUSTekГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГї'),'ASUS');
test(ManufactorerAliases('Po Be Filled By O.E.M.'),'No name');
test(ManufactorerAliases('AcerPower Sd'),'Acer');
test(ManufactorerAliases('Acer            ГїГїГїГїГїГїГїГїГїГї'),'Acer');
test(ManufactorerAliases('CLEVO:3220-'),'Clevo');
test(ManufactorerAliases('Acer Incorporated.'),'Acer');
test(ManufactorerAliases('Samsung Electronics Co.,Ltd.'),'Samsung');
test(ManufactorerAliases('ASUSTeK Computer'),'ASUS');
test(ManufactorerAliases('TOSHIBA CORPORATION'),'Toshiba');
test(ManufactorerAliases('www.Intel.com'),'Intel');
test(ManufactorerAliases('SAMSUNG ELECTRONICS Co., Ltd'),'Samsung');
test(ManufactorerAliases('FUJITSU SIEMENS COMPUTERS'),'Fujitsu Siemens');
test(ManufactorerAliases('Hewlevt-Packapd'),'HP');
test(ManufactorerAliases('Apple Computer Inc.'),'Apple');
test(ManufactorerAliases('MSI Corporation'),'MSI');
test(ManufactorerAliases('asustek computerinc.'),'ASUS');
test(ManufactorerAliases('Compaq Pressario 061'),'Compaq');
test(ManufactorerAliases('Hewlett Packard'),'HP');
test(ManufactorerAliases('To be filled by HPD'),'HP');
test(ManufactorerAliases(': ACER'),'Acer');
test(ManufactorerAliases('TOSHIBA3'),'Toshiba');
test(ManufactorerAliases('FUJITSU-PC'),'Fujitsu');
test(ManufactorerAliases('$SAMSUNGPC'),'Samsung');
test(ManufactorerAliases('Asus L3X0R'),'ASUS');
test(ManufactorerAliases('Hp Systems'),'HP');
test(ManufactorerAliases('Compaq Computer Corporation'),'Compaq');
test(ManufactorerAliases('MSISYS'),'MSI');
test(ManufactorerAliases('AcerPower'),'Acer');
test(ManufactorerAliases('To Be Filled By!O.E.M.'),'No name');
test(ManufactorerAliases('intelcorporation'),'Intel');
test(ManufactorerAliases('To Be Filled Bq O.E.M.'),'No name');
test(ManufactorerAliases('FUJITSU SIMENS'),'Fujitsu Siemens');
test(ManufactorerAliases('ASUSTeK Computer IN'),'ASUS');
test(ManufactorerAliases('Acer Computer'),'Acer');
test(ManufactorerAliases('IBM CORPORATION'),'IBM');
test(ManufactorerAliases('HP Pavilion'),'HP');
test(ManufactorerAliases('MICRO-STAR INTERNATONAL CO.,LTD'),'MSI');
test(ManufactorerAliases('HP PAVILION 04'),'HP');
test(ManufactorerAliases('Hewlett-Packerd'),'HP');
test(ManufactorerAliases('Acer Computer Australia'),'Acer');
test(ManufactorerAliases('PackerdBell'),'Packard Bell');
test(ManufactorerAliases('To Bd Filled By O.E.M.'),'No name');
test(ManufactorerAliases('ASUSTek Inc.'),'ASUS');
test(ManufactorerAliases('To Be F)lled By O.E.M.'),'No name');
test(ManufactorerAliases('FUJITSU TECHNOLOGY SOLUTIONS'),'Fujitsu');
test(ManufactorerAliases('To Be Nilled By O.E.M.'),'No name');
test(ManufactorerAliases('To Be Fillad By O.E.M.'),'No name');
test(ManufactorerAliases('INTEL {OBAID}'),'Intel');
test(ManufactorerAliases('Intel Core i7'),'Intel');
test(ManufactorerAliases('Packard Bell International'),'Packard Bell');
test(ManufactorerAliases('Hewlett'),'HP');
test(ManufactorerAliases('LG IBM Co., Ltd.'),'LG IBM');
test(ManufactorerAliases('To Be Filmed By O.E.M.'),'No name');
test(ManufactorerAliases('AcerAcer'),'Acer');
test(ManufactorerAliases('MICRO-STAR IN'),'MSI');
test(ManufactorerAliases('TOSHIBAJ'),'Toshiba');
test(ManufactorerAliases('Semp ToshibaInformatica Ltda'),'Toshiba');
test(ManufactorerAliases('TOSHIBAcc'),'Toshiba');
test(ManufactorerAliases('packard be'),'Packard Bell');
test(ManufactorerAliases('Acer\\\\'),'Acer');
test(ManufactorerAliases('eMachines by Acer'),'eMachines');
test(ManufactorerAliases('SAMSUNG ELECTRONICS CO.,LГїD'),'Samsung');
test(ManufactorerAliases('HP Pavilion 071'),'HP');
test(ManufactorerAliases('AcerPower Series'),'Acer');
test(ManufactorerAliases('MICRO-STAR INTERNATIONAL CO.,3LTD'),'MSI');
test(ManufactorerAliases('ASUSTek Computer INC.ГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГї'),'ASUS');
test(ManufactorerAliases('SAMSUNG ELECTRONICS`CO.,LTD'),'Samsung');
test(ManufactorerAliases('TГѕ Be Filled By O.E.M.'),'No name');
test(ManufactorerAliases('Acer         M'),'Acer');
test(ManufactorerAliases('SAMSUNG ELECГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГїГї'),'Samsung');
test(ManufactorerAliases('To Be Filled By O.E.M.windows7'),'No name');
test(ManufactorerAliases('Intel Co.,Ltd.'),'Intel');
test(ManufactorerAliases('0Acer'),'Acer');
test(ManufactorerAliases('Acer                `'),'Acer');
test(ManufactorerAliases('To Be Fmlled By O.E.M.'),'No name');
test(ManufactorerAliases('FUJITSU ICL Computers Ltd'),'Fujitsu');
test(ManufactorerAliases('Semp Toshiba Informatica Ltda.'),'Toshiba');
test(ManufactorerAliases('INTEL CORE I3'),'Intel');
test(ManufactorerAliases('SAMSUNG ELECTRONIAS CO.,LTD'),'Samsung');
test(ManufactorerAliases('HP Parilion'),'HP');
test(ManufactorerAliases('TOSHIBAc'),'Toshiba');
test(ManufactorerAliases('Acer Inc'),'Acer');
test(ManufactorerAliases('To Be0Filled By O.E.M.'),'No name');
test(ManufactorerAliases('ASUSTeK Computer INC.;TCL123'),'ASUS');
test(ManufactorerAliases('To Be Filldd By O.E.M.'),'No name');
test(ManufactorerAliases('Hewlett-Packard Company'),'HP');
test(ManufactorerAliases('DEPO CoГ›pВЁters'),'DEPO');
test(ManufactorerAliases('ASUS Infofield'),'ASUS');
test(ManufactorerAliases('BenQHub'),'BenQ');
test(ManufactorerAliases('HP4411s'),'HP');
test(ManufactorerAliases('Packapd Bell'),'Packard Bell');
test(ManufactorerAliases('To Be Filled\\By O.E.M."'),'No name');
test(ManufactorerAliases('Acer0'),'Acer');
test(ManufactorerAliases('To Be Filled B} O.E.M. by More String'),'No name');
test(ManufactorerAliases('FUJITSU LIMITED'),'Fujitsu');
test(ManufactorerAliases('TOSHIBA TEC'),'Toshiba');
test(ManufactorerAliases('Lenovo Corporation'),'Lenovo');
test(ManufactorerAliases('TOSHIBAh'),'Toshiba');
test(ManufactorerAliases('TOSHIBA2'),'Toshiba');
test(ManufactorerAliases('To BeВ Filled By O.E.M.'),'No name');
test(ManufactorerAliases('Г№Acer'),'Acer');
test(ManufactorerAliases('Dell Inc.ГїГїГїГїГїГїГїГїГїГїГїГїГїГїГї'),'Dell');
test(ManufactorerAliases('IBM Corp.'),'IBM');
test(ManufactorerAliases('CLEVO_'),'Clevo');
test(ManufactorerAliases('Hewlett-PackardIBM CORPORATIONTOSHIBAGREATWALL'),'HP');
test(ManufactorerAliases('HP Corporation'),'HP');
test(ManufactorerAliases('To Be Gilled By O.E.M.'),'No name');
test(ManufactorerAliases('SONY CORP.'),'Sony');
test(ManufactorerAliases('FUJITSU-SV'),'Fujitsu');
test(ManufactorerAliases('HPHPD'),'HP');
test(ManufactorerAliases('Dell_'),'Dell');
test(ManufactorerAliases('HP(4411s)'),'HP');
test(ManufactorerAliases('To Be Filled By0O.E.M.'),'No name');
test(ManufactorerAliases('To Be Filled By O.E.M. by More Ctring'),'No name');
test(ManufactorerAliases('$SAMSUNGPC_DiaG@'),'Samsung');
test(ManufactorerAliases('TOSHIBAa'),'Toshiba');
test(ManufactorerAliases('To Bg Filled By O.E.M.'),'No name');
test(ManufactorerAliases('apple Corporation'),'Apple');
test(ManufactorerAliases('BIOSTAR Growp'),'BIOSTAR');
test(ManufactorerAliases('TOSHIBAm'),'Toshiba');
test(ManufactorerAliases('HP PavГїlion 061'),'HP');
test(ManufactorerAliases('MSI___'),'MSI');
test(ManufactorerAliases('.Toshiba'),'Toshiba');
test(ManufactorerAliases('DELL Corporation'),'Dell');
test(ManufactorerAliases('Hewledt-Packard'),'HP');
test(ManufactorerAliases('Tm Be Filled By O.E.M.'),'No name');
test(ManufactorerAliases('TOSHIBA L645'),'Toshiba');
test(ManufactorerAliases('Acerway'),'Acer');
test(ManufactorerAliases('Acer computers'),'Acer');
test(ManufactorerAliases('To Be Filled B9 O.E.M.'),'No name');
test(ManufactorerAliases('LG_IBM'),'LG IBM');
test(ManufactorerAliases('FUJITSU Computers Ltd'),'Fujitsu');
test(ManufactorerAliases('SamsungServer'),'Samsung');
test(ManufactorerAliases('MICRO-STAR INC.'),'MSI');
test(ManufactorerAliases('MICRO-STAR INTERANTIONAL CO.,LTD'),'MSI');
test(ManufactorerAliases('stem manufacturer'),'No name');
test(ManufactorerAliases('ACTEBIS:SAM'),'Actebis');
test(ManufactorerAliases('PEGATRON Computer Inc.'),'Pegatron');
test(ManufactorerAliases('INTELR'),'Intel');
test(ManufactorerAliases('WIPRO Limited'),'WIPRO');
test(ManufactorerAliases('ViewSonic Corporation'),'ViewSonic');
test(ManufactorerAliases('RoverComputers'),'RoverBook');
test(ManufactorerAliases('Elitegroup Co.'),'Elitegroup');
test(ManufactorerAliases('Gericom Inc'),'Gericom');
test(ManufactorerAliases('ARIMA_'),'Arima');
test(ManufactorerAliases('Corporativo Lanix, S.A. de C.V.'),'Corporativo');
test(ManufactorerAliases('VIA Technologies, Inc.'),'VIA');
test(ManufactorerAliases('vestelkom'),'Vestel');
test(ManufactorerAliases('UW____'),'UW');
test(ManufactorerAliases('FPT ELead JSC'),'FPT Elead');
test(ManufactorerAliases('FUJ___'),'Fujitsu Siemens');
test(ManufactorerAliases('HaierComputer'),'Haier Computer');
test(ManufactorerAliases('Quanta Computer'),'Quanta');
test(ManufactorerAliases('ACTEBIS:SAM#451B'),'Actebis');
test(ManufactorerAliases('TOSHIB'),'Toshiba');
test(ManufactorerAliases('FOXCON'),'FOXCONN');
test(ManufactorerAliases('exper@datateknik'),'Exper');
test(ManufactorerAliases('SOTEC CO.,LTD.'),'SOTEC');
test(ManufactorerAliases('Panasonic Corporation'),'Panasonic');
test(ManufactorerAliases('eMachine'),'eMachines');
test(ManufactorerAliases('VIA__'),'VIA');
test(ManufactorerAliases('NEC COMPUTERS ASIA PACIFIC'),'NEC');
test(ManufactorerAliases('Dell Computer Corp.'),'Dell');
test(ManufactorerAliases('Packard Bell NEC, Inc.'),'Packard Bell');
test(ManufactorerAliases('HPQOEM'),'HP');
test(ManufactorerAliases('SHARP Corporation'),'Sharp');
test(ManufactorerAliases('EPSON DIRECT CORP.'),'Epson');
test(ManufactorerAliases('ARCELIK A.S.'),'Arcelik');
test(ManufactorerAliases('P4M80P'),'No name');
test(ManufactorerAliases('eMachines. Inc.'),'eMachines');
test(ManufactorerAliases('VIAK8_'),'Viak8');
test(ManufactorerAliases('Acer,Inc.'),'Acer');
test(ManufactorerAliases('OOO Infomash'),'Infomash');
test(ManufactorerAliases('CREA A.S.'),'Crea');
test(ManufactorerAliases('eMachines, inc.'),'eMachines');
test(ManufactorerAliases('THIRDWAVE CORP'),'Thirdwave');
test(ManufactorerAliases('DNS Computer Center'),'DNS Computer');
test(ManufactorerAliases('PEGATRON CORPORATION'),'Pegatron');
test(ManufactorerAliases('CORPORATIVO_LANIX'),'Corporativo');
test(ManufactorerAliases('HAIER'),'Haier Computer');
test(ManufactorerAliases('Packard Bell NEC'),'Packard Bell');
test(ManufactorerAliases('Hercules Guillemot'),'Hercules');
test(ManufactorerAliases('Apple Computer, Inc.'),'Apple');
test(ManufactorerAliases('Olidata S.p.A.'),'Olidata');
test(ManufactorerAliases('System manufacturer'),'No name');
test(ManufactorerAliases('PTLTD_'),'PTLTD');
test(ManufactorerAliases('American Megatrends Inc'),'American Megatrends');
test(ManufactorerAliases('LGIBM'),'LG IBM');
test(ManufactorerAliases('Acer__'),'Acer');
test(ManufactorerAliases('VESTEL DIJITAL'),'Vestel');
test(ManufactorerAliases('Quanta inc'),'Quanta');
test(ManufactorerAliases('KN1 , inc.'),'KN1');
test(ManufactorerAliases('BenQ,Inc.'),'BenQ');
test(ManufactorerAliases('MITAC Corporation'),'MiTAC');
test(ManufactorerAliases('GBT___'),'Gigabyte');
test(ManufactorerAliases('FUJITSU SIEMEMS'),'Fujitsu Siemens');
test(ManufactorerAliases('innotek GmbH'),'Innotek');
test(ManufactorerAliases('Packard Bell Computers International'),'Packard Bell');
test(ManufactorerAliases('ATI'),'AMD');
test(ManufactorerAliases('ECS'),'Elitegroup');
test(ManufactorerAliases('NCA_GROUP_LTD'),'iRU');
test(ManufactorerAliases('Suzuki Technology'),'Suzuki');
test(ManufactorerAliases('Infomash'),'RoverBook');
test(ManufactorerAliases('Compaq Presario 061'),'Compaq');
test(ManufactorerAliases('AcerSystem'),'Acer');
test(ManufactorerAliases('HP-CPC'),'HP');
test(ManufactorerAliases('_ASUS_'),'ASUS');
test(ManufactorerAliases('Intel Technologies, Inc.'),'Intel');
test(ManufactorerAliases('HP-Pavilion 061'),'HP');
test(ManufactorerAliases('Compaq-Presario 061'),'Compaq');
test(ManufactorerAliases('CASPER BILGISAYAR SISTEMLERI A.S.'),'CASPER');
test(ManufactorerAliases('Dell Computer Inc.'),'Dell');
test(ManufactorerAliases('Micro-Star International Co., Ltd.'),'MSI');
test(ManufactorerAliases('AcerГїГїГїГїГїГїГїГїГїГїГї'),'Acer');
test(ManufactorerAliases('Micro-Star INT\'L CO., LTD.'),'MSI');
test(ManufactorerAliases('\\Hewlett-Packard\\""'),'HP');
test(ManufactorerAliases('TOSHIBA+'),'Toshiba');
test(ManufactorerAliases('MICRO-STAR INTL, CO.,LTD.'),'MSI');
test(ManufactorerAliases('PACKARD BELLГ€Г€Г€'),'Packard Bell');
test(ManufactorerAliases('MICRO-STAR INT\'L'),'MSI');
test(ManufactorerAliases('HP PAVILION 06'),'HP');
test(ManufactorerAliases('MSI.'),'MSI');
test(ManufactorerAliases('Intel PC'),'Intel');
test(ManufactorerAliases('Sony Cobporation'),'Sony');
test(ManufactorerAliases('CLEVO Corporation'),'Clevo');
test(ManufactorerAliases('Dell Computer'),'Dell');
test(ManufactorerAliases('HP_CPC'),'HP');
test(ManufactorerAliases('Intel(R)'),'Intel');
test(ManufactorerAliases('HPPAV'),'HP');
test(ManufactorerAliases('DELL__'),'Dell');
test(ManufactorerAliases('Packar Bell'),'Packard Bell');
test(ManufactorerAliases('Intel Corp.'),'Intel');
test(ManufactorerAliases('ASUSTeK Computer INC.LEGEND Dragon'),'ASUS');
test(ManufactorerAliases('Packarbell'),'Packard Bell');
test(ManufactorerAliases('Compaq Presario 06'),'Compaq');
test(ManufactorerAliases('HP Pavilion 05'),'HP');
test(ManufactorerAliases('Compaq Presario 05'),'Compaq');
test(ManufactorerAliases('Packard Bell Computers BV'),'Packard Bell');
test(ManufactorerAliases('FUJITSU-SIEMENS'),'Fujitsu Siemens');
test(ManufactorerAliases('O.E.M'),'No name');
test(ManufactorerAliases('ACERD'),'Acer');
test(ManufactorerAliases('MSI_NB'),'MSI');
test(ManufactorerAliases('Acer Inc.'),'Acer');
test(ManufactorerAliases('SOTEC CO., LTD.'),'SOTEC');
test(ManufactorerAliases('To Be Filled By O.E.M. by More String'),'No name');
test(ManufactorerAliases('HP-Pavilion'),'HP');
test(ManufactorerAliases('Samsung Electronics Corporation'),'Samsung');
test(ManufactorerAliases('CASPER BILGISAYAR SISTEMLERI A.S'),'Casper');
test(ManufactorerAliases('SHARP Corp.'),'Sharp');
test(ManufactorerAliases('ATEC COMPUTER'),'Atec');
test(ManufactorerAliases('HP____'),'HP');
test(ManufactorerAliases('Clevo, Co.'),'Clevo');
test(ManufactorerAliases('RoverBook.'),'RoverBook');
test(ManufactorerAliases('BIOSTAR Group'),'BIOSTAR');
test(ManufactorerAliases('ASUS_FLASH'),'ASUS');
test(ManufactorerAliases('Acer Company'),'Acer');
test(ManufactorerAliases('O.E.M.'),'No name');
test(ManufactorerAliases('Unknow'),'No name');
test(ManufactorerAliases('MICRO-STAR INTERANTONAL CO.,LTD'),'MSI');
test(ManufactorerAliases('IBM___'),'IBM');
test(ManufactorerAliases('TOSHIBAb'),'Toshiba');
test(ManufactorerAliases('PACKARDBELL'),'Packard Bell');
test(ManufactorerAliases('TOSHIBAN'),'Toshiba');
test(ManufactorerAliases('AWARD_'),'No name');
test(ManufactorerAliases('Semp Toshiba Informatica Ltda'),'Toshiba');
test(ManufactorerAliases('Dell Inc'),'Dell');
test(ManufactorerAliases('Fujitsu Technol'),'Fujitsu');
test(ManufactorerAliases('BenQ Joybook'),'BenQ');
test(ManufactorerAliases('ASUSTEK COMPUTER INC'),'ASUS');
test(ManufactorerAliases('Compaq-Presario'),'Compaq');
test(ManufactorerAliases('HP Pavilion 061'),'HP');
test(ManufactorerAliases('By O.E.M.'),'No name');
test(ManufactorerAliases('SOTEC CO.,LTD'),'SOTEC');
test(ManufactorerAliases('Notebook.'),'Notebook');


	
	/*
	echo('Asus');
	test(ManufactorerAliases('ASUSTeK Computer Inc.'),'Asus');
	test(ManufactorerAliases('ASUSTEK'),'Asus');
	test(ManufactorerAliases('ASUS_FLASH'),'Asus');
	test(ManufactorerAliases('_ASUS_'),'Asus');
	test(ManufactorerAliases('ASUSTekÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿ'),'Asus');
	test(ManufactorerAliases('ASUS Infofield'),'Asus');
	
	echo('HP');
	test(ManufactorerAliases('HP-Pavilion'),'HP');
	test(ManufactorerAliases('HP Pavilion'),'HP');
	test(ManufactorerAliases('Hewlett-Packard'),'HP');
	test(ManufactorerAliases('HPQOEM'),'HP');
	test(ManufactorerAliases('HP____'),'HP');
	test(ManufactorerAliases('"Hewlett-Packard"'),'HP');
	test(ManufactorerAliases('Hewlett'),'HP');
	test(ManufactorerAliases('Hp Systems'),'HP');
	test(ManufactorerAliases('To be filled by HPD'),'HP');
	test(ManufactorerAliases('Hewlett-Parkard'),'HP');
	test(ManufactorerAliases('Hewlevt-Packapd'),'HP');
	test(ManufactorerAliases('Hewlett Packard'),'HP');
	test(ManufactorerAliases('Hewledt-Packard'),'HP');
	test(ManufactorerAliases('Hewlett-Packard Company'),'HP');
	
	echo('eMachines');
	test(ManufactorerAliases('eMachines'),'eMachines');
	test(ManufactorerAliases('eMachines, inc.'),'eMachines');
	test(ManufactorerAliases('eMachine'),'eMachines');
	test(ManufactorerAliases('eMachines by Acer'),'eMachines');
	
	echo('Acer');
	test(ManufactorerAliases('Acer'),'Acer');
	test(ManufactorerAliases('Acer, inc.'),'Acer');
	test(ManufactorerAliases('Acer__'),'Acer');
	test(ManufactorerAliases('ACERD'),'Acer');
	test(ManufactorerAliases('Acer Company'),'Acer');
	test(ManufactorerAliases('Acerÿÿÿÿÿÿÿÿÿÿÿ'),'Acer');
	test(ManufactorerAliases('AcerSystem'),'Acer');
	test(ManufactorerAliases('Acer\\'),'Acer');
	test(ManufactorerAliases('Acer Computer Australia'),'Acer');
	test(ManufactorerAliases('AcerPower'),'Acer');
	test(ManufactorerAliases(': ACER'),'Acer');
	test(ManufactorerAliases('ùAcer'),'Acer');
	test(ManufactorerAliases('Acerway'),'Acer');
	test(ManufactorerAliases('0Acer'),'Acer');
	
	echo('Dell');
	test(ManufactorerAliases('Dell Inc.'),'Dell');
	test(ManufactorerAliases('Dell Computer Corporation'),'Dell');
	test(ManufactorerAliases('DELL__'),'Dell');
	test(ManufactorerAliases('Dell Inc.ÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿ'),'Dell');
	test(ManufactorerAliases('DELL Corporation'),'Dell');
	
	echo('MSI');
	test(ManufactorerAliases('Micro-Star International'),'MSI');
	test(ManufactorerAliases("MICRO-STAR INT'L CO.,LTD."),'MSI');
	test(ManufactorerAliases('MSI'),'MSI');
	test(ManufactorerAliases('MSI_NB'),'MSI');
	test(ManufactorerAliases('MSISYS'),'MSI');
	
	echo('Samsung');
	test(ManufactorerAliases('SAMSUNG ELECTRONICS CO., LTD.'),'Samsung');
	test(ManufactorerAliases('SAMSUNG'),'Samsung');
	test(ManufactorerAliases('SamsungServer'),'Samsung');
	test(ManufactorerAliases('$SAMSUNGPC'),'Samsung');
	test(ManufactorerAliases('SAMSUNG ELECÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿ'),'Samsung');
	
	echo('Toshiba');
	test(ManufactorerAliases('TOSHIBA'),'Toshiba');
	test(ManufactorerAliases('Semp Toshiba'),'Toshiba');
	test(ManufactorerAliases('TOSHIB'),'Toshiba');
	test(ManufactorerAliases('TOSHIBAN'),'Toshiba');
	test(ManufactorerAliases('TOSHIBA+'),'Toshiba');
	test(ManufactorerAliases('TOSHIBAÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿpa`'),'Toshiba');
	test(ManufactorerAliases('.Toshiba'),'Toshiba');
	
	echo('Sony');
	test(ManufactorerAliases('Sony Corporation'),'Sony');
	test(ManufactorerAliases('Sony'),'Sony');
	test(ManufactorerAliases('Sony Cobporation'),'Sony');
	test(ManufactorerAliases('SONY CORP.'),'Sony');
	
	echo('Lenovo');
	test(ManufactorerAliases('LENOVO'),'Lenovo');
	test(ManufactorerAliases('LENOVO.'),'Lenovo');
	test(ManufactorerAliases('Lenovo Corporation'),'Lenovo');
	
	echo('Fujitsu Siemens');
	test(ManufactorerAliases('FUJITSU SIEMENS'),'Fujitsu Siemens');
	test(ManufactorerAliases('FUJITSU SIEMEMS'),'Fujitsu Siemens');
	test(ManufactorerAliases('FUJ___'),'Fujitsu Siemens');
	test(ManufactorerAliases('FUJITSU-SIEMENS'),'Fujitsu Siemens');
	test(ManufactorerAliases('FUJITSU SIMENS'),'Fujitsu Siemens');
	test(ManufactorerAliases('Fujitsu/Siemens'),'Fujitsu Siemens');
	test(ManufactorerAliases('FUJITSU SIEMENS COMPUTERS'),'Fujitsu Siemens');
	
	echo('Fujitsu');
	test(ManufactorerAliases('FUJITSU'),'Fujitsu');
	test(ManufactorerAliases('Fujitsu Technol'),'Fujitsu');
	test(ManufactorerAliases('FUJITSU TECHNOLOGY SOLUTIONS'),'Fujitsu');
	test(ManufactorerAliases('FUJITSU-PC'),'Fujitsu');
	test(ManufactorerAliases('FUJITSU Computers Ltd'),'Fujitsu');
	test(ManufactorerAliases('FUJITSU-SV'),'Fujitsu');
	test(ManufactorerAliases('FUJITSU ICL Computers Ltd'),'Fujitsu');
	test(ManufactorerAliases('FUJITSU LIMITED'),'Fujitsu');
	
	
	echo('Testing function "сompatibleDrvWithNotebook()":');
	Manufacturer = 'Toshiba';
	test(сompatibleDrvWithNotebook('NTx86\\Jmicron\\Toshiba_nb\\'),true);
	test(сompatibleDrvWithNotebook('NTx86\\Jmicron\\Asus_nb\\'),false);
	test(сompatibleDrvWithNotebook('NTx86\\Jmicron\\atheros\\'),true);
	Manufacturer = 'Asus';
	test(сompatibleDrvWithNotebook('NTx86\\Jmicron\\Toshiba_nb\\'),false);
	test(сompatibleDrvWithNotebook('NTx86\\Jmicron\\Asus_nb\\'),true);
	test(сompatibleDrvWithNotebook('NTx86\\Jmicron\\atheros\\'),true);
	Manufacturer = ManufactorerAliases('Sony Cobporation');
	test(сompatibleDrvWithNotebook('NTx86\\Jmicron\\Sony_nb\\'),true);
	test(сompatibleDrvWithNotebook('NTx86\\Jmicron\\Asus_nb\\'),false);
	test(сompatibleDrvWithNotebook('NTx86\\Jmicron\\atheros\\'),true);
	*/
	
	
	
	//test(MyAppsGUID,'{test-guid}');
},1000);
